패키지 설치 중 오류 발생!

제가 어베스트 리눅스 백신을 쓰려고 설치파일 받아서 설치하려 했는데요,
갑자기 그 파일에 접근할 권한이 없다고 하네요.

그리고 업데이트 관리자를 여니 소프트웨어 목록이 깨졌다고 하고…
접근은 안되고… 어찌 합니까? 도와주세요…-_-

시냅틱 패키지 관리자 열어서

사용자 정의 거르개 선택 후 망가짐을 선택해서 제거하세요.

avast4workstation 하고 fprot 둘다 리눅스용 잘 되던것 같던데요.

시냅틱에서 '이 꾸러미의 아카이브를 찾을 수 없습니다" 라고 나오면서

열리질 않아요…ㅠㅠ

망가진 패키지 정보 수리 하기 ^^
[b:1sb5csfn]sudo dpkg --configure -a[/b:1sb5csfn]

분도님이 올려주신 대로 해도 에러메시지 출력해서 눈물을 머금고 재설치하렵니다.ㅠㅠ
에러메시지는 다음과 같아요;

[quote:3uar084u]dpkg: 의존성 문제로 avast4server을(를) 설정할 수 없습니다:
avast4server 패키지는 다음 패키지에 의존: libavastengine (>= 4.7.0): 하지만:
libavastengine 패키지는 아직 설정하지 않았습니다.
dpkg: avast4server을(를) 처리하는 데 오류가 발생했습니다 (–configure):
의존성 문제 - 설정하지 않고 남겨둠
처리하는 데 오류가 발생했습니다:
avast4server[/quote:3uar084u]
에휴… 어쩔지 이제 저도 모르겠습니다.
–ignore-depends 명령 앞에 넣고 해도 에러가 뜨네요.
낼까지 기다리겠습니다.ㅠㅠ

콘솔보단 시냅틱에서 해결하시는 것이 좋을 것 같은 메시지인데요?

시냅틱 패키지 관리자 - 사용자 정의 거르개 - 망가짐에서 망가진 패키지를 확인할 수 있고, 망가진 패키지는 그냥 지워버리면 됩니다.

sudo dpkg --configure -a

는 의존성을 해결해주지만 현재 의존하는 패키지를 설치할 수 없는 상태이기 때문에 저런 메시지가 뜨는 것 같습니다. 그냥 지워버리세요-_-;

방금 깨끗하게 재설치했습니다.

[color=#0000FF:3uczog02]하얗게 불태웠어~[/color:3uczog02]